package com.bonus.boot.manager.manager.dao;

import com.bonus.boot.manager.basic.entity.HospitalBean;
import com.bonus.boot.manager.basic.entity.MapBean;
import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.manager.model.SysType;
import com.bonus.boot.manager.manager.model.SysUser;
import com.bonus.boot.manager.physical.entity.CountImportBean;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface TypeDao {

    @Select("select * from pb_base_illness_type t where t.id = #{id}")
    SysType getById(Long id);

    List<SysType> gettyMsgList(SysType o);

    int delById(SysType bean);

    int addInfo(SysType bean);


    int updateInfo(SysType bean);

    SysType gettyMsgListOne(SysType o);

    List<CountImportBean>getStatisticalGroup(CountImportBean o);
    List<CountImportBean>getStatisticalInfo(CountImportBean o);

    List<MapBean> getPositiveDisease(MapBean o);
}
